View Issue Details

IDProjectCategoryView StatusLast Update
14030Bug reportsImport/Exportpublic2019-04-30 09:10
Reporteroleggorfinkel Assigned Todominikvitt 
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.13.x 
Fixed in Version3.14.x 
Summary14030: Group relevance equations are lost when exporting a survey in tab-separated text format
Description

When a survey is exported in the "tab-separated text" format, the relevance equations for question groups are lost (i.e. they are missing from the exported file). This only happens to group-level relevance equations; question-level settings are unaffected.

Steps To Reproduce

Export a survey with group-level relevance equations in tab-separated text format. View the exported text file (or re-import it into LimeSurvey), and the relevance equations are not there anymore.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.8 build 180829
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 10.0.30-MariaDB-cll-lve
Server OS (if known)linux
Webserver software & version (if known)Apache Version 2.4.18
PHP Version5.5.36

Activities

DenisChenu

DenisChenu

2018-09-05 08:59

developer   ~48971

Confirmed : work on 2.73, not on 3.X
Here survey : export from 2.73 import in 3.14, export as tsv

limesurvey_survey_585495_273.tsv (15,937 bytes)   
class	type/scale	name	relevance	text	help	language	validation	mandatory	other	default	same_default	allowed_filetypes	alphasort	answer_width	array_filter	array_filter_exclude	array_filter_style	assessment_value	autoComplete	autoCompleteAsDropdown	autoCompleteCsvFile	autoCompleteFilter	autoCompleteMinChar	autoCompleteOneColumn	category_separator	choice_title	code_filter	commented_checkbox	commented_checkbox_auto	cssclass	date_format	date_max	date_min	display_columns	display_rows	display_type	dropdown_dates	dropdown_dates_minute_step	dropdown_dates_month_style	dropdown_prefix	dropdown_prepostfix	dropdown_separators	dropdown_size	dualscale_headerA	dualscale_headerB	em_validation_q	em_validation_q_tip	em_validation_sq	em_validation_sq_tip	equals_num_value	equation	exclude_all_others	exclude_all_others_auto	hidden	hide_tip	input_boxes	label_input_columns	location_city	location_country	location_defaultcoordinates	location_mapheight	location_mapservice	location_mapwidth	location_mapzoom	location_nodefaultfromip	location_postal	location_state	max_answers	max_filesize	max_num_of_files	max_num_value	max_num_value_n	max_subquestions	maximum_chars	min_answers	min_num_of_files	min_num_value	min_num_value_n	multiflexible_checkbox	multiflexible_max	multiflexible_min	multiflexible_step	num_value_int_only	numbers_only	other_comment_mandatory	other_numbers_only	other_replace_text	page_break	parent_order	prefix	printable_help	public_statistics	random_group	random_order	rank_title	repeat_headings	reverse	samechoiceheight	samelistheight	scale_export	show_comment	show_grand_total	show_title	show_totals	showpopups	slider_accuracy	slider_custom_handle	slider_default	slider_handle	slider_layout	slider_max	slider_middlestart	slider_min	slider_orientation	slider_rating	slider_reset	slider_separator	slider_showminmax	statistics_graphtype	statistics_showgraph	statistics_showmap	suffix	text_input_columns	text_input_width	time_limit	time_limit_action	time_limit_countdown_message	time_limit_disable_next	time_limit_disable_prev	time_limit_message	time_limit_message_delay	time_limit_message_style	time_limit_timer_style	time_limit_warning	time_limit_warning_2	time_limit_warning_2_display_time	time_limit_warning_2_message	time_limit_warning_2_style	time_limit_warning_display_time	time_limit_warning_message	time_limit_warning_style	use_dropdown	value_range_allows_missing
S		sid		585495																																																																																																																																											
S		owner_id		1																																																																																																																																											
S		admin		Denis Chenu																																																																																																																																											
S		active		N																																																																																																																																											
S		adminemail		denis@sondages.pro																																																																																																																																											
S		anonymized		N																																																																																																																																											
S		format		G																																																																																																																																											
S		savetimings		N																																																																																																																																											
S		template		default																																																																																																																																											
S		language		en																																																																																																																																											
S		datestamp		N																																																																																																																																											
S		usecookie		N																																																																																																																																											
S		allowregister		N																																																																																																																																											
S		allowsave		Y																																																																																																																																											
S		autonumber_start		0																																																																																																																																											
S		autoredirect		N																																																																																																																																											
S		allowprev		N																																																																																																																																											
S		printanswers		N																																																																																																																																											
S		ipaddr		N																																																																																																																																											
S		refurl		N																																																																																																																																											
S		datecreated		2018-08-01																																																																																																																																											
S		publicstatistics		N																																																																																																																																											
S		publicgraphs		N																																																																																																																																											
S		listpublic		N																																																																																																																																											
S		htmlemail		Y																																																																																																																																											
S		sendconfirmation		Y																																																																																																																																											
S		tokenanswerspersistence		N																																																																																																																																											
S		assessments		N																																																																																																																																											
S		usecaptcha		N																																																																																																																																											
S		usetokens		N																																																																																																																																											
S		bounce_email		denis@sondages.pro																																																																																																																																											
S		tokenlength		15																																																																																																																																											
S		showxquestions		Y																																																																																																																																											
S		showgroupinfo		B																																																																																																																																											
S		shownoanswer		Y																																																																																																																																											
S		showqnumcode		X																																																																																																																																											
S		bounceprocessing		N																																																																																																																																											
S		showwelcome		Y																																																																																																																																											
S		showprogress		Y																																																																																																																																											
S		navigationdelay		0																																																																																																																																											
S		nokeyboard		N																																																																																																																																											
S		alloweditaftercompletion		N																																																																																																																																											
S		googleanalyticsstyle		0																																																																																																																																											
S		questionindex		0																																																																																																																																											
SL		surveyls_title		Test QID and GID		en																																																																																																																																									
SL		surveyls_description		Test QID and GID		en																																																																																																																																									
SL		surveyls_email_invite_subj		Invitation to participate in a survey		en																																																																																																																																									
SL		surveyls_email_invite		Dear {FIRSTNAME},<br /> <br /> you have been invited to participate in a survey.<br /> <br /> The survey is titled:<br /> "{SURVEYNAME}"<br /> <br /> "{SURVEYDESCRIPTION}"<br /> <br /> To participate, please click on the link below.<br /> <br /> Sincerely,<br /> <br /> {ADMINNAME} ({ADMINEMAIL})<br /> <br /> ----------------------------------------------<br /> Click here to do the survey:<br /> {SURVEYURL}<br /> <br /> If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br /> {OPTOUTURL}<br /> <br /> If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br /> {OPTINURL}		en																																																																																																																																									
SL		surveyls_email_remind_subj		Reminder to participate in a survey		en																																																																																																																																									
SL		surveyls_email_remind		Dear {FIRSTNAME},<br /> <br /> Recently we invited you to participate in a survey.<br /> <br /> We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br /> <br /> The survey is titled:<br /> "{SURVEYNAME}"<br /> <br /> "{SURVEYDESCRIPTION}"<br /> <br /> To participate, please click on the link below.<br /> <br /> Sincerely,<br /> <br /> {ADMINNAME} ({ADMINEMAIL})<br /> <br /> ----------------------------------------------<br /> Click here to do the survey:<br /> {SURVEYURL}<br /> <br /> If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br /> {OPTOUTURL}		en																																																																																																																																									
SL		surveyls_email_register_subj		Survey registration confirmation		en																																																																																																																																									
SL		surveyls_email_register		Dear {FIRSTNAME},<br /> <br /> You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br /> <br /> To complete this survey, click on the following URL:<br /> <br /> {SURVEYURL}<br /> <br /> If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.		en																																																																																																																																									
SL		surveyls_email_confirm_subj		Confirmation of your participation in our survey		en																																																																																																																																									
SL		surveyls_email_confirm		Dear {FIRSTNAME},<br /> <br /> this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br /> <br /> If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br /> <br /> Sincerely,<br /> <br /> {ADMINNAME}		en																																																																																																																																									
SL		surveyls_dateformat		5		en																																																																																																																																									
SL		email_admin_notification_subj		Response submission for survey {SURVEYNAME}		en																																																																																																																																									
SL		email_admin_notification		Hello,<br /> <br /> A new response was submitted for your survey '{SURVEYNAME}'.<br /> <br /> Click the following link to reload the survey:<br /> {RELOADURL}<br /> <br /> Click the following link to see the individual response:<br /> {VIEWRESPONSEURL}<br /> <br /> Click the following link to edit the individual response:<br /> {EDITRESPONSEURL}<br /> <br /> View statistics by clicking here:<br /> {STATISTICSURL}		en																																																																																																																																									
SL		email_admin_responses_subj		Response submission for survey {SURVEYNAME} with results		en																																																																																																																																									
SL		email_admin_responses		Hello,<br /> <br /> A new response was submitted for your survey '{SURVEYNAME}'.<br /> <br /> Click the following link to reload the survey:<br /> {RELOADURL}<br /> <br /> Click the following link to see the individual response:<br /> {VIEWRESPONSEURL}<br /> <br /> Click the following link to edit the individual response:<br /> {EDITRESPONSEURL}<br /> <br /> View statistics by clicking here:<br /> {STATISTICSURL}<br /> <br /> <br /> The following answers were given by the participant:<br /> {ANSWERTABLE}		en																																																																																																																																									
SL		surveyls_numberformat		1		en																																																																																																																																									
G	G0	Title : GID : {GID}	1 == 1 and 0 < 5	Description : GID : {GID}		en																																																																																																																																									
Q	S	QIDandGID	1	QIDandGID : {QIDandGID.NAOK}		en			N		1												1	1						qid{QID}																1 == 1		1 == 1													300		500	11																																																								1	1			12		1																	
limesurvey_survey_782857_314.tsv (18,107 bytes)   
id	related_id	class	type/scale	name	relevance	text	help	language	validation	mandatory	other	default	same_default	allowed_filetypes	alphasort	answer_width	answer_width_bycolumn	array_filter	array_filter_exclude	array_filter_style	assessment_value	category_separator	choice_input_columns	choice_title	code_filter	commented_checkbox	commented_checkbox_auto	cssclass	date_format	date_max	date_min	display_columns	display_rows	display_type	dropdown_dates	dropdown_dates_minute_step	dropdown_dates_month_style	dropdown_prefix	dropdown_prepostfix	dropdown_separators	dropdown_size	dualscale_headerA	dualscale_headerB	em_validation_q	em_validation_q_tip	em_validation_sq	em_validation_sq_tip	equals_num_value	equation	exclude_all_others	exclude_all_others_auto	extraSurvey	extraSurveyNameInLanguage	extraSurveyQuestion	extraSurveyQuestionAllowDelete	extraSurveyQuestionLink	extraSurveyQuestionUseUniqId	extraSurveySetSurveySubmittedOnly	extraSurveyShowId	hidden	hide_tip	input_boxes	input_size	javascript	label_input_columns	location_city	location_country	location_defaultcoordinates	location_mapheight	location_mapservice	location_mapwidth	location_mapzoom	location_nodefaultfromip	location_postal	location_state	max_answers	max_filesize	max_num_of_files	max_num_value	max_num_value_n	max_subquestions	maximum_chars	min_answers	min_num_of_files	min_num_value	min_num_value_n	multiflexible_checkbox	multiflexible_max	multiflexible_min	multiflexible_step	num_value_int_only	numbers_only	other_comment_mandatory	other_numbers_only	other_replace_text	page_break	parent_order	pdfReport	pdfReportPrintAnswer	pdfReportSavedFileName	pdfReportSendByEmailAttachment	pdfReportSendByEmailContent	pdfReportSendByEmailMail	pdfReportSubTitle	pdfReportTitle	prefix	printable_help	public_statistics	question_template	random_group	random_order	rank_title	repeat_headings	reverse	samechoiceheight	samelistheight	scale_export	show_comment	show_grand_total	show_title	show_totals	showpopups	slider_accuracy	slider_custom_handle	slider_default	slider_default_set	slider_handle	slider_layout	slider_max	slider_middlestart	slider_min	slider_orientation	slider_rating	slider_reset	slider_reversed	slider_separator	slider_showminmax	statistics_graphtype	statistics_showgraph	statistics_showmap	suffix	text_input_columns	text_input_width	time_limit	time_limit_action	time_limit_countdown_message	time_limit_disable_next	time_limit_disable_prev	time_limit_message	time_limit_message_delay	time_limit_message_style	time_limit_timer_style	time_limit_warning	time_limit_warning_2	time_limit_warning_2_display_time	time_limit_warning_2_message	time_limit_warning_2_style	time_limit_warning_display_time	time_limit_warning_message	time_limit_warning_style	use_dropdown	value_range_allows_missing
		S		sid		782857																																																																																																																																																												
		S		admin		"Denis Chenu"																																																																																																																																																												
		S		adminemail		denis@sondages.pro																																																																																																																																																												
		S		anonymized		N																																																																																																																																																												
		S		format		G																																																																																																																																																												
		S		savetimings		N																																																																																																																																																												
		S		template		vanilla_answers																																																																																																																																																												
		S		language		en																																																																																																																																																												
		S		additional_languages																																																																																																																																																														
		S		datestamp		N																																																																																																																																																												
		S		usecookie		N																																																																																																																																																												
		S		allowregister		N																																																																																																																																																												
		S		allowsave		Y																																																																																																																																																												
		S		autonumber_start		0																																																																																																																																																												
		S		autoredirect		N																																																																																																																																																												
		S		allowprev		N																																																																																																																																																												
		S		printanswers		N																																																																																																																																																												
		S		ipaddr		N																																																																																																																																																												
		S		refurl		N																																																																																																																																																												
		S		publicstatistics		N																																																																																																																																																												
		S		publicgraphs		N																																																																																																																																																												
		S		listpublic		N																																																																																																																																																												
		S		htmlemail		Y																																																																																																																																																												
		S		tokenanswerspersistence		N																																																																																																																																																												
		S		assessments		N																																																																																																																																																												
		S		usecaptcha		N																																																																																																																																																												
		S		usetokens		N																																																																																																																																																												
		S		bounce_email		denis@sondages.pro																																																																																																																																																												
		S		tokenlength		15																																																																																																																																																												
		S		showxquestions		Y																																																																																																																																																												
		S		showgroupinfo		B																																																																																																																																																												
		S		shownoanswer		Y																																																																																																																																																												
		S		showqnumcode		X																																																																																																																																																												
		S		bounceprocessing		N																																																																																																																																																												
		S		showwelcome		Y																																																																																																																																																												
		S		showprogress		Y																																																																																																																																																												
		S		navigationdelay		0																																																																																																																																																												
		S		nokeyboard		N																																																																																																																																																												
		S		alloweditaftercompletion		N																																																																																																																																																												
		S		googleanalyticsstyle		0																																																																																																																																																												
		S		sendconfirmation		Y																																																																																																																																																												
		S		questionindex		0																																																																																																																																																												
		S		gsid		1																																																																																																																																																												
		S		showsurveypolicynotice		0																																																																																																																																																												
		SL		surveyls_survey_id		782857		en																																																																																																																																																										
		SL		surveyls_language		en		en																																																																																																																																																										
		SL		surveyls_title		"Test QID and GID"		en																																																																																																																																																										
		SL		surveyls_description		"Test QID and GID"		en																																																																																																																																																										
		SL		surveyls_url				en																																																																																																																																																										
		SL		surveyls_email_invite_subj		"Invitation to participate in a survey"		en																																																																																																																																																										
		SL		surveyls_email_invite		"Dear {FIRSTNAME},<br /> <br /> you have been invited to participate in a survey.<br /> <br /> The survey is titled:<br /> ""{SURVEYNAME}""<br /> <br /> ""{SURVEYDESCRIPTION}""<br /> <br /> To participate, please click on the link below.<br /> <br /> Sincerely,<br /> <br /> {ADMINNAME} ({ADMINEMAIL})<br /> <br /> ----------------------------------------------<br /> Click here to do the survey:<br /> {SURVEYURL}<br /> <br /> If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br /> {OPTOUTURL}<br /> <br /> If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br /> {OPTINURL}"		en																																																																																																																																																										
		SL		surveyls_email_remind_subj		"Reminder to participate in a survey"		en																																																																																																																																																										
		SL		surveyls_email_remind		"Dear {FIRSTNAME},<br /> <br /> Recently we invited you to participate in a survey.<br /> <br /> We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br /> <br /> The survey is titled:<br /> ""{SURVEYNAME}""<br /> <br /> ""{SURVEYDESCRIPTION}""<br /> <br /> To participate, please click on the link below.<br /> <br /> Sincerely,<br /> <br /> {ADMINNAME} ({ADMINEMAIL})<br /> <br /> ----------------------------------------------<br /> Click here to do the survey:<br /> {SURVEYURL}<br /> <br /> If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br /> {OPTOUTURL}"		en																																																																																																																																																										
		SL		surveyls_email_register_subj		"Survey registration confirmation"		en																																																																																																																																																										
		SL		surveyls_email_register		"Dear {FIRSTNAME},<br /> <br /> You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br /> <br /> To complete this survey, click on the following URL:<br /> <br /> {SURVEYURL}<br /> <br /> If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}."		en																																																																																																																																																										
		SL		surveyls_email_confirm_subj		"Confirmation of your participation in our survey"		en																																																																																																																																																										
		SL		surveyls_email_confirm		"Dear {FIRSTNAME},<br /> <br /> this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br /> <br /> If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br /> <br /> Sincerely,<br /> <br /> {ADMINNAME}"		en																																																																																																																																																										
		SL		surveyls_dateformat		5		en																																																																																																																																																										
		SL		email_admin_notification_subj		"Response submission for survey {SURVEYNAME}"		en																																																																																																																																																										
		SL		email_admin_notification		"Hello,<br /> <br /> A new response was submitted for your survey '{SURVEYNAME}'.<br /> <br /> Click the following link to reload the survey:<br /> {RELOADURL}<br /> <br /> Click the following link to see the individual response:<br /> {VIEWRESPONSEURL}<br /> <br /> Click the following link to edit the individual response:<br /> {EDITRESPONSEURL}<br /> <br /> View statistics by clicking here:<br /> {STATISTICSURL}"		en																																																																																																																																																										
		SL		email_admin_responses_subj		"Response submission for survey {SURVEYNAME} with results"		en																																																																																																																																																										
		SL		email_admin_responses		"Hello,<br /> <br /> A new response was submitted for your survey '{SURVEYNAME}'.<br /> <br /> Click the following link to reload the survey:<br /> {RELOADURL}<br /> <br /> Click the following link to see the individual response:<br /> {VIEWRESPONSEURL}<br /> <br /> Click the following link to edit the individual response:<br /> {EDITRESPONSEURL}<br /> <br /> View statistics by clicking here:<br /> {STATISTICSURL}<br /> <br /> <br /> The following answers were given by the participant:<br /> {ANSWERTABLE}"		en																																																																																																																																																										
		SL		surveyls_numberformat		1		en																																																																																																																																																										
417		G	1	"Title : GID : {GID}"		"Description : GID : {GID}"		en																																																																																																																																																										
6610		Q	S	QIDandGID	1	"QIDandGID : {QIDandGID.NAOK}"		en			N		1															qid{QID}																"1 == 1"		"1 == 1"																							300		500	11																																																																			1	1			12		1																	
guest

guest

2018-09-05 14:16

viewer   ~48975

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=27895

Related Changesets

LimeSurvey: master c501859f

2018-09-05 14:16:23

Dominik Vitt

Details Diff
Fixed issue 14030: Group relevance equations are lost when exporting a survey in tab-separated text format Affected Issues
14030
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-09-05 02:14 oleggorfinkel New Issue
2018-09-05 08:59 DenisChenu File Added: limesurvey_survey_585495_273.tsv
2018-09-05 08:59 DenisChenu File Added: limesurvey_survey_782857_314.tsv
2018-09-05 08:59 DenisChenu Note Added: 48971
2018-09-05 14:14 dominikvitt Assigned To => dominikvitt
2018-09-05 14:14 dominikvitt Status new => assigned
2018-09-05 14:16 Changeset attached => LimeSurvey master c501859f
2018-09-05 14:16 guest Note Added: 48975
2018-09-05 14:16 guest Resolution open => fixed
2018-09-05 14:17 dominikvitt Status assigned => resolved
2018-09-05 14:17 dominikvitt Fixed in Version => 3.14.x
2019-04-30 09:10 c_schmitz Status resolved => closed